%define module_version 0.003
%define module_name Test-Health
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Email/Sender/Transport/SMTP.pm) perl(Email/Stuffer.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(Getopt/Std.pm) perl(Moo.pm) perl(Moose.pm) perl(Pod/Usage.pm) perl(TAP/Formatter/HTML.pm) perl(TAP/Harness.pm) perl(Test/Moose.pm) perl(Test/Most.pm) perl(Test/TempDir/Tiny.pm) perl(Types/Standard.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Perl API to process tests and send an e-mail report in case of failures
Group: Development/Perl
License: gpl
URL: https://github.com/glasswalk3r/Test-Health

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARFREITAS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Test-Health is a Perl distribution created to implement a "poor's man" health check API.

By using standard test modules like Test-Simple, you can implement your tests and use Test-Health
to run those tests, collect results and send an e-mail in the case any test fails.

This is usefull if you want to implement a simple health check on your system, but don't have a monitoring system
like Nagios (or don't want to use one). Once you have the test files, it is pretty straighforward to send an e-mail
in case of problems.

Be sure to check the Pod documentation include in this distribution for more details.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE README
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Sun Dec 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

